GDCM: gdcm::Overlay Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gdcm::Overlay Class Reference

Overlay class. More...

`#include <gdcmOverlay.h>`

Inheritance diagram for gdcm::Overlay:
[legend]
Collaboration diagram for gdcm::Overlay:
[legend]

## Public Types
enum | OverlayType { Invalid = 0 , Graphics = 1 , ROI = 2 }

## Public Member Functions
| Overlay ()
| Overlay (Overlay const &ov)
| ~Overlay () override
void | Decompress (std::ostream &os) const
| Decode the internal OverlayData (packed bits) into unpacked representation.
unsigned short | GetBitPosition () const
| return bit position
unsigned short | GetBitsAllocated () const
| return bits allocated
unsigned short | GetColumns () const
| get columns
const char * | GetDescription () const
| get description
unsigned short | GetGroup () const
| Get Group number.
const signed short * | GetOrigin () const
| get origin
const ByteValue & | GetOverlayData () const
unsigned short | GetRows () const
| get rows
const char * | GetType () const
| get type
OverlayType | GetTypeAsEnum () const
bool | GetUnpackBuffer (char *buffer, size_t len) const
size_t | GetUnpackBufferLength () const
bool | GrabOverlayFromPixelData (DataSet const &ds)
bool | IsEmpty () const
| Return whether or not the Overlay is empty:
bool | IsInPixelData () const
| return if the Overlay is stored in the pixel data or not
void | IsInPixelData (bool b)
| Set whether or no the OverlayData is in the Pixel Data:
bool | IsZero () const
| return true if all bits are set to 0
Overlay & | operator= (Overlay const &ov)
void | Print (std::ostream &) const override
| Print.
void | SetBitPosition (unsigned short bitposition)
| set bit position
void | SetBitsAllocated (unsigned short bitsallocated)
| set bits allocated
void | SetColumns (unsigned short columns)
| set columns
void | SetDescription (const char *description)
| set description
void | SetFrameOrigin (unsigned short frameorigin)
| set frame origin
void | SetGroup (unsigned short group)
| Set Group number.
void | SetNumberOfFrames (unsigned int numberofframes)
| set number of frames
void | SetOrigin (const signed short origin[2])
| set origin
void | SetOverlay (const char *array, size_t length)
| set overlay from byte array + length
void | SetRows (unsigned short rows)
| set rows
void | SetType (const char *type)
| set type
void | Update (const DataElement &de)
| Update overlay from data element de:
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Static Public Member Functions
static const char * | GetOverlayTypeAsString (OverlayType ot)
static OverlayType | GetOverlayTypeFromString (const char *)

## Additional Inherited Members
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Overlay class.

Note
  see AreOverlaysInPixelData

Todo
  Is there actually any way to recognize an overlay ? On images with multiple overlay I do not see any way to differentiate them (other than the group tag).

Example:

## Member Enumeration Documentation

## ◆ OverlayType

enum gdcm::Overlay::OverlayType

Enumerator
Invalid |
Graphics |
ROI |

## Constructor & Destructor Documentation

## ◆ Overlay() [1/2]

gdcm::Overlay::Overlay | ( |  | ) |

Referenced by Overlay(), and operator=().

## ◆ ~Overlay()

gdcm::Overlay::~Overlay | ( |  | ) |
| override

## ◆ Overlay() [2/2]

gdcm::Overlay::Overlay | ( | Overlay const & | ov | ) |

References Overlay().

## Member Function Documentation

## ◆ Decompress()

void gdcm::Overlay::Decompress | ( | std::ostream & | os | ) | const

Decode the internal OverlayData (packed bits) into unpacked representation.

## ◆ GetBitPosition()

unsigned short gdcm::Overlay::GetBitPosition | ( |  | ) | const

return bit position

## ◆ GetBitsAllocated()

unsigned short gdcm::Overlay::GetBitsAllocated | ( |  | ) | const

return bits allocated

## ◆ GetColumns()

unsigned short gdcm::Overlay::GetColumns | ( |  | ) | const

get columns

## ◆ GetDescription()

const char * gdcm::Overlay::GetDescription | ( |  | ) | const

get description

## ◆ GetGroup()

unsigned short gdcm::Overlay::GetGroup | ( |  | ) | const

Get Group number.

## ◆ GetOrigin()

const signed short * gdcm::Overlay::GetOrigin | ( |  | ) | const

get origin

## ◆ GetOverlayData()

const ByteValue & gdcm::Overlay::GetOverlayData | ( |  | ) | const

Return the Overlay Data as ByteValue: Not thread safe

## ◆ GetOverlayTypeAsString()

const char * gdcm::Overlay::GetOverlayTypeAsString | ( | OverlayType | ot | ) |
| static

## ◆ GetOverlayTypeFromString()

OverlayType gdcm::Overlay::GetOverlayTypeFromString | ( | const char * |  | ) |
| static

## ◆ GetRows()

unsigned short gdcm::Overlay::GetRows | ( |  | ) | const

get rows

## ◆ GetType()

const char * gdcm::Overlay::GetType | ( |  | ) | const

get type

## ◆ GetTypeAsEnum()

OverlayType gdcm::Overlay::GetTypeAsEnum | ( |  | ) | const

## ◆ GetUnpackBuffer()

bool gdcm::Overlay::GetUnpackBuffer | ( | char * | buffer,
|  | size_t | len ) const

Retrieve the unpack buffer for Overlay. This is an error if the size if below GetUnpackBufferLength()

## ◆ GetUnpackBufferLength()

size_t gdcm::Overlay::GetUnpackBufferLength | ( |  | ) | const

Retrieve the size of the buffer needed to hold the Overlay as specified by Col & Row parameters

## ◆ GrabOverlayFromPixelData()

bool gdcm::Overlay::GrabOverlayFromPixelData | ( | DataSet const & | ds | ) |

Warning
  Before calling this method, you must verify the consistency between the image metadata (Image PixelFormat, Rows, Columns) and the overlay parameters. This pre-verification is required to ensure that the bit-depth is compatible and that the overlay data fits within the allocated pixel storage.

## ◆ IsEmpty()

bool gdcm::Overlay::IsEmpty | ( |  | ) | const

Return whether or not the Overlay is empty:

## ◆ IsInPixelData() [1/2]

bool gdcm::Overlay::IsInPixelData | ( |  | ) | const

return if the Overlay is stored in the pixel data or not

## ◆ IsInPixelData() [2/2]

void gdcm::Overlay::IsInPixelData | ( | bool | b | ) |

Set whether or no the OverlayData is in the Pixel Data:

## ◆ IsZero()

bool gdcm::Overlay::IsZero | ( |  | ) | const

return true if all bits are set to 0

## ◆ operator=()

Overlay & gdcm::Overlay::operator= | ( | Overlay const & | ov | ) |

References Overlay().

## ◆ Print()

void gdcm::Overlay::Print | ( | std::ostream & |  | ) | const
| overridevirtual

Print.

Reimplemented from gdcm::Object.

## ◆ SetBitPosition()

void gdcm::Overlay::SetBitPosition | ( | unsigned short | bitposition | ) |

set bit position

## ◆ SetBitsAllocated()

void gdcm::Overlay::SetBitsAllocated | ( | unsigned short | bitsallocated | ) |

set bits allocated

## ◆ SetColumns()

void gdcm::Overlay::SetColumns | ( | unsigned short | columns | ) |

set columns

## ◆ SetDescription()

void gdcm::Overlay::SetDescription | ( | const char * | description | ) |

set description

## ◆ SetFrameOrigin()

void gdcm::Overlay::SetFrameOrigin | ( | unsigned short | frameorigin | ) |

set frame origin

## ◆ SetGroup()

void gdcm::Overlay::SetGroup | ( | unsigned short | group | ) |

Set Group number.

## ◆ SetNumberOfFrames()

void gdcm::Overlay::SetNumberOfFrames | ( | unsigned int | numberofframes | ) |

set number of frames

## ◆ SetOrigin()

void gdcm::Overlay::SetOrigin | ( | const signed short | origin[2] | ) |

set origin

## ◆ SetOverlay()

void gdcm::Overlay::SetOverlay | ( | const char * | array,
|  | size_t | length )

set overlay from byte array + length

## ◆ SetRows()

void gdcm::Overlay::SetRows | ( | unsigned short | rows | ) |

set rows

## ◆ SetType()

void gdcm::Overlay::SetType | ( | const char * | type | ) |

set type

## ◆ Update()

void gdcm::Overlay::Update | ( | const DataElement & | de | ) |

Update overlay from data element de:

The documentation for this class was generated from the following file:

- gdcmOverlay.h